Skip to main content
GET
/
api
/
v1
/
hubs
/
{hub_id}
/
members
/
{contact_id}
Fetch single member profile
curl --request GET \
  --url https://api.member.dev/api/v1/hubs/{hub_id}/members/{contact_id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "attributes": {
      "bio": "<string>",
      "created_at": "<string>",
      "display_name": "<string>",
      "hide_profile": true,
      "last_seen_at": "<string>",
      "photo_thumbnail_url": "<string>",
      "photo_thumbnail_url_expires_at": "2023-11-07T05:31:56Z",
      "photo_url": "<string>",
      "photo_url_expires_at": "2023-11-07T05:31:56Z"
    },
    "id": "<string>",
    "type": "<string>",
    "links": {
      "self": "<string>"
    },
    "meta": {},
    "relationships": {}
  },
  "included": [
    "<unknown>"
  ],
  "links": {
    "self": "<string>"
  },
  "meta": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

hub_id
string
required
contact_id
string
required

Response

Successful Response

data
JsonApiResource[MemberDirectoryAttributes] · object
required
included
any[] | null
meta
Meta · object